summaryrefslogtreecommitdiffstats
path: root/tools/regression
diff options
context:
space:
mode:
authorsilby <silby@FreeBSD.org>2005-04-08 07:21:07 +0000
committersilby <silby@FreeBSD.org>2005-04-08 07:21:07 +0000
commitd0b8d0131624ed0492a880a425a4f2c62bbbef06 (patch)
tree01304601881e5af5751ae768038a83545e655dba /tools/regression
parent4743d37fb181266b14588ddda51801ef89817804 (diff)
downloadFreeBSD-src-d0b8d0131624ed0492a880a425a4f2c62bbbef06.zip
FreeBSD-src-d0b8d0131624ed0492a880a425a4f2c62bbbef06.tar.gz
A simple regression test for msdosfs. Not the best, but it would have caught
the recent trouble msdosfs had.
Diffstat (limited to 'tools/regression')
-rw-r--r--tools/regression/msdosfs/msdosfstest.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/tools/regression/msdosfs/msdosfstest.sh b/tools/regression/msdosfs/msdosfstest.sh
new file mode 100644
index 0000000..0205c63
--- /dev/null
+++ b/tools/regression/msdosfs/msdosfstest.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+# $FreeBSD$
+# A really simple script to create a swap-backed msdosfs filesystem, copy a few
+# files to it, unmount/remount the filesystem, and make sure all is well.
+#
+# Not very advanced, but better than nothing.
+mdconfig -a -t swap -s 128m -u 10
+bsdlabel -w md10 auto
+newfs_msdos -F 16 -b 8192 /dev/md10a
+mount_msdosfs /dev/md10a /mnt/thumb/
+cp -R /usr/src/bin/ /mnt/thumb/
+umount /mnt/thumb
+mount_msdosfs /dev/md10a /mnt/thumb/
+diff -u -r /usr/src/bin /mnt/thumb
+if [ $? -eq 0 ]; then
+ echo "ok 1";
+else
+ echo "not ok 1";
+fi
+umount /mnt/thumb
+mdconfig -d -u 10
OpenPOWER on IntegriCloud